API Reference
User
Authenticated user profile and quota.
Get current user
Returns the authenticated user profile and quota information associated with the current auth context.
Authorization
AuthorizationRequiredBearer <token>NextDocs API key (nxd_xxx format)
In: header
Response Body
The authenticated user.
TypeScript Definitions
Use the response body type in TypeScript.
objectRequiredstringValue in:
"user"idRequiredstringemailRequiredstringFormat:
"email"first_nameRequiredstring | null | nulllast_nameRequiredstring | null | nullimage_urlRequiredstring | null | nullquotaRequiredobject | null | nullcreated_atRequiredstringupdated_atRequiredstringAuthentication required or API key is invalid.
TypeScript Definitions
Use the response body type in TypeScript.
errorRequiredobjectThe requested resource was not found.
TypeScript Definitions
Use the response body type in TypeScript.
errorRequiredobjectcurl -X GET "https://api.nextdocs.io/v1/me" \
-H "Authorization: Bearer <token>"fetch("https://api.nextdocs.io/v1/me", {
headers: {
"Authorization": "Bearer <token>"
}
})package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.nextdocs.io/v1/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://api.nextdocs.io/v1/me"
response = requests.request("GET", url, headers = {
"Authorization": "Bearer <token>"
})
print(response.text){
"object": "user",
"id": "user_2abc123",
"email": "jane@example.com",
"first_name": "Jane",
"last_name": "Doe",
"image_url": "https://img.clerk.com/...",
"quota": {
"monthly_free_cents_limit": 500,
"monthly_free_cents_used": 123.45,
"bonus_credits": 0,
"document_export_limit": 3,
"document_export_used": 1,
"reset_date": "2026-05-01T00:00:00.000Z"
},
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-04-01T08:00:00.000Z"
}{
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found."
}
}